@echo off
goto start

rem  *****************************************************************
rem  $Header: /u/flexos/src/drd/tools/RCS/autoexec.bat,v 1.12 1995/09/19 06:25:25 flexos Exp $
rem  $Source: /u/flexos/src/drd/tools/RCS/autoexec.bat,v $
rem  $Author: flexos $
rem  $Date: 1995/09/19 06:25:25 $
rem  $Revision: 1.12 $ - $State: Exp $
rem  $version_id:@(#)autoexec.bat V05.04.09 96/04/18 14:41:39 >Hr. Doersch AUT 612$
rem  $Log: autoexec.bat,v $
rem  Revision 1.12  1995/09/19  06:25:25  flexos
rem  Setzen der CPU-Geschw. fuer Valitek
rem
rem  Revision 1.11  1995/08/03  11:41:15  flexos
rem  Zuruecksetzen von moeglichem Passwort
rem
rem  Revision 1.10  1995/07/28  14:22:56  flexos
rem  Mit automatischem CHKDSK
rem
rem  Revision 1.9  1994/09/27  11:01:51  flexos
rem  Mit OEM Eingang
rem
rem  Revision 1.8  1994/07/20  07:11:47  flexos
rem  Anpassungen
rem
rem  Revision 1.7  1994/05/26  10:14:17  flexos
rem  Ohne Memoryoptionen
rem
rem  Revision 1.6  1994/02/21  12:20:59  flexos
rem  Memory-Dateien hidden
rem
rem  Revision 1.5  1993/12/07  13:02:39  flexos
rem  Mit Datums und Zeitabfrage
rem
rem  Revision 1.4  1993/09/15  14:57:59  flexos
rem  Softwarepacket 3.1
rem
rem  Revision 1.3  1993/06/30  07:36:12  flexos
rem  Ohne Versionskennung
rem
rem  Revision 1.2  1993/05/12  07:18:53  flexos
rem  Software Packet 1.2
rem
rem  Revision 1.1  92/09/09  17:51:19  flexos
rem  Initial revision

rem  *****************************************************************
rem
rem  AUTOEXEC.BAT	Startup fuer das Hilfsbetriebssytem
rem
rem  Autor:	W.Schneider	AUT E 2332
rem
rem  Aenderungen:
rem	8.7.92	W.Schneider	V1.2
rem				Anpassung an neue Anforderungen
rem
rem	8.9.92	W.Schneider	V1.3
rem				Backup in AUTOEXEC.BAT verlegt.
rem
rem	13.4.93 W.Schneider	V1.4
rem				Backup und Restore von Benutzerdaten
rem				Fuer Service Zwecke: Warten auf Tastatur Input
rem
rem	5.6.93 W.Schneider	V2.1
rem				Softwarepacket 2.1
rem				Beim Hochlauf Memory Optionen pruefen
rem
rem	21.2.94 W.Schneider	V2.2
rem				Memoryoptionen als hidden Dateien
rem
rem	24.5.94 W.Schneider	V2.3
rem				ohne Memoryoptionen
rem
rem	27.9.94 W.Schneider	V2.4
rem				Mit OEM Eingang
rem
rem	27.7.95 W.Schneider	V2.5
rem				1.Einfuehrung von DOS chkdsk, um Fehler,
rem				die FlexOS nicht beheben kann, zu
rem				beheben:
rem				Falls die Variable FLEXOS auf CHKDSK
rem				gesetzt ist, erfolgt ein Start von
rem				'chkdsk' mit der Inpudatei CHKINP.TMP
rem				2.Kein 'Setup streamer' Menupunkt mehr
rem
rem	3.8.95 W.Schneider	V2.6
rem				1. Moeglichen Passworteintrag von COMMAND.COM
rem				   loeschen (siehe auch enablopt.bat).
rem				2. Globales Passwort bei exit aus der DOS-SHELL
rem				   loeschen
rem
rem	7.9.95 W.Schneider	V2.7
rem				Setzen der CPU-Geschwindigkeit fuer
rem				Valitek
rem

:start


:nochk
rem MMC installed ?
if not exist C:\BOOT\FLEXOS.SYS goto nommc

rem init when MMC installed
if exist C:\TOOLS\INITMMC.BAT call C:\TOOLS\INITMMC.BAT boot
if not "%FlexOS%" == "TRUE" goto noflx
if not exist C:\TOOLS\KBHITCHK.EXE goto lflx
rem wait 5 seconds for keybord input 
C:\TOOLS\KBHITCHK.EXE 5
if errorlevel 1 goto lflx
echo .
goto noflx
:lflx
gosub loadflex

:noflx
if exist c:\config.flx copy c:\config.flx c:\config.sys > NUL:
if not "%FlexOS%" == "CHKDSK" goto nommc
if not exist c:\tmp\chkinp.tmp goto error8
echo Verifying file system ...
c:\drdos\chkdsk /f < c:\tmp\chkinp.tmp
gosub loadflex

:nommc
rem delete possible password, set CPU speed and global parameter 
gosub global
gosub delpass
if exist c:\tools\setspeed.exe c:\tools\setspeed.exe -l

rem w.doersch: datum/zeit abfragen
echo -
echo - Date and time MUST be set correctly before installing any system software !!!
echo -
date
time

:again
rem switch into applications
echo -
echo -
echo -
echo -
echo -
echo -             Please select:
echo -
echo -                    1 Restore/Backup
echo -                    2 Setup/Configure options
echo -                    3 DR DOS shell
echo -                    4 MMC system check (service mode)
echo -                    5 OEM
echo -                    6 End (load MMC)
echo -
echo -
echo -  Enter a number [1-6]:
switch streamer, options, service, checkmmc, oem, flexos, noact, noact, promet
goto again

rem *****************************
rem *   leerer Menueeintrag     *
rem *****************************
:noact
return

rem *****************************
rem *      fuer Fertigung       *
rem *****************************
:promet
if not exist c:\test\starttst.bat goto noprom
echo Initialization of testsoftware ...
copy c:\tools\promet.bat c:\tmp > nul
call c:\tmp\promet.bat
:noprom
CLS
return

rem *****************************
rem *       load FlexOS         *
rem *****************************
:flexos
if exist c:\tools\setspeed.exe c:\tools\setspeed.exe -h
if exist C:\BOOT\FLEXOS.SYS gosub loadflex
echo -
echo -  ***** MMC not installed !!! *****
echo -
PAUSE
CLS
return

:loadflex
if not exist C:\BOOT\LOADFLEX.EXE goto flexmiss
if not exist c:\test\cleartst.bat goto flexnow
copy c:\test\cleartst.bat \tmp\cleartst.bat > nul
call c:\tmp\cleartst.bat
del \tmp\cleartst.bat > nul
:flexnow
C:\BOOT\LOADFLEX -Y C:\BOOT\FLEXOS.SYS
:flexmiss
echo -
echo -  ***** Missing MMC system files *****
echo -
return


rem *****************************
rem *       Set options         *
rem *****************************
rem
:options
IF NOT EXIST C:\TOOLS\ENABLOPT.BAT goto error3
CALL C:\TOOLS\ENABLOPT.BAT
CD C:\
CLS
return


rem *****************************
rem *       system service      *
rem *****************************
:service
ECHO > C:\TMP\PW.TMP
PASSWORD C:\TMP\PW.TMP /R:MMC01_SS >NUL:
PASSWORD /G:
DEL C:\TMP\PW.TMP > NUL:
IF NOT EXIST C:\TMP\PW.TMP goto passok
DEL C:\TMP\PW.TMP;MMC01_SS
PAUSE
CLS
return
:passok 
rem password ok continue
CLS
echo -
echo -
echo -  Type 'exit' to return to the main menu
echo -
echo -
CD C:\
C:\COMMAND
PASSWORD /NG
CLS
return

rem *****************************
rem *      check MMC system     *
rem *****************************
:checkmmc
IF NOT EXIST C:\OPTIONS\*.CHK goto error6
IF NOT EXIST C:\TOOLS\CHECKSUM.EXE goto error6
cd C:\
echo checking MMC system ...
FOR %%i in (OPTIONS\*.CHK) do C:\TOOLS\CHECKSUM.EXE -c @%%i
pause
return

rem *****************************
rem *        OEM startup        *
rem *****************************
:oem
IF NOT EXIST C:\OEMAUTO.BAT  goto error7
CALL C:\OEMAUTO.BAT
cd C:\
return

rem *****************************
rem *       global defines      *
rem *****************************
:DRDOSBEG
:global
PATH C:\TOOLS;C:\DRDOS;C:\;C:\TEST
SET COMSPEC=C:\DRDOS\COMMAND.COM
SET TEMP=C:\TMP
SET TMP=C:\TMP
IF NOT "%TEMP%"=="" MD %TEMP% >NUL:
PROMPT [DR DOS] $P$G
IF NOT EXIST C:\TOOLS\OPANDRV.EXE goto error4
C:\TOOLS\OPANDRV.EXE 1
:DRDOSEND
return

rem *****************************
rem *      delete password      *
rem *****************************
rem delete possible remaining password of COMSPEC
:delpass
PASSWORD /G:MMC01_SS
PASSWORD %COMSPEC% /N > nul:
PASSWORD /NG
return

rem *****************************
rem *       Call streamer       *
rem *****************************
rem
:streamer
BREAK ON
IF NOT EXIST C:\TOOLS\STREAMER.BAT goto error1
CLS
rem CALL C:\TOOLS\STREAMER.BAT version
rem set MMC_STROPT=streamer
:stragain
rem switch into streamer applications
echo -
echo -
echo -
echo -
echo -             Please select:
echo -
echo -                    1 Install MMC system
echo -                    2 Backup system
echo -                    3 Restore system 
echo -                    4 Backup user data 
echo -                    5 Restore user data
echo -                    6 Uninstall MMC system
echo -                    7 Return to main menu
echo -
echo -
echo -  Enter a number [1-7]:
switch system, backup, restore, backusr, restusr, rmdata, main
CD C:\
IF EXIST C:\TMP\STREAM.BAT DEL C:\TMP\STREAM.BAT > NUL:
IF EXIST C:\TMP\MMCCHK.TMP DEL C:\TMP\MMCCHK.TMP > NUL:
CLS
if not "%MMC_STROPT%" == "main" goto stragain
set MMC_STROPT=
BREAK=OFF
CLS
return

:main
set MMC_STROPT=main
return

:restore
IF EXIST C:\MEM\MEM.SYS XDEL C:\MEM\MEM.SYS > NUL:
COPY C:\TOOLS\STREAMER.BAT C:\TMP\STREAM.BAT >NUL:
IF NOT EXIST C:\TMP\STREAM.BAT goto error2
CALL C:\TMP\STREAM.BAT restore
return

:restusr
CALL C:\TOOLS\STREAMER.BAT restusr
return

:system
IF EXIST C:\MEM\MEM.SYS XDEL C:\MEM\MEM.SYS > NUL:
COPY C:\TOOLS\STREAMER.BAT C:\TMP\STREAM.BAT >NUL:
IF NOT EXIST C:\TMP\STREAM.BAT goto error2
CALL C:\TMP\STREAM.BAT system
return

:backup
CALL C:\TOOLS\STREAMER.BAT backup
return

:backusr
CALL C:\TOOLS\STREAMER.BAT backusr
return


rem *****************************
rem *     unistall a package    *
rem *****************************
:rmdata
IF NOT EXIST C:\TOOLS\UNINST.BAT goto error5
CALL C:\TOOLS\UNINST.BAT
CD C:\
return


rem *****************************
rem *          error            *
rem *****************************
:error1
echo Streamer software not installed
PAUSE
CLS
return

:error2
echo Can't load streamer software
PAUSE
CLS
return

:error3
echo Can't setup options 
PAUSE
CLS
return

:error4
echo Can't load panel driver
return

:error5
echo Can't delete a package(missing files)
PAUSE
CLS
return

:error6
echo Can't check MMC system (missing files)
PAUSE
CLS
return

:error7
echo No OEM file installed
PAUSE
CLS
return

:error8
echo Can't check file system (missing files)
PAUSE
CLS
gosub loadflex
